# IdentityAddressOwnerNode | Stacks.js 1.0.0 Library Reference
Documentation for Stacks.js 1.0.0 Library Reference

### Hierarchy

- IdentityAddressOwnerNode

## Index

### Constructors

- constructor

### Properties

- hdNode
- salt

### Methods

- getAddress
- getAppAddress
- getAppNode
- getAppPrivateKey
- getAppsNode
- getEncryptionNode
- getIdentityKey
- getIdentityKeyID
- getNode
- getSTXNode
- getSalt
- getSigningNode

## Constructors

### constructor

- new IdentityAddressOwnerNode(ownerHdNode: BIP32Interface, salt: string): IdentityAddressOwnerNode

- - Defined in packages/keychain/src/nodes/identity-address-owner-node.ts:18

  #### Parameters

  - ##### ownerHdNode: BIP32Interface

  - ##### salt: string

  #### Returns IdentityAddressOwnerNode

## Properties

### hdNode

hdNode: BIP32Interface

- Defined in packages/keychain/src/nodes/identity-address-owner-node.ts:16

### salt

salt: string

- Defined in packages/keychain/src/nodes/identity-address-owner-node.ts:18

## Methods

### getAddress

- getAddress(): string

- - Defined in packages/keychain/src/nodes/identity-address-owner-node.ts:48

  #### Returns string

### getAppAddress

- getAppAddress(appDomain: string): string

- - Defined in packages/keychain/src/nodes/identity-address-owner-node.ts:81

  #### Parameters

  - ##### appDomain: string

  #### Returns string

### getAppNode

- getAppNode(appDomain: string): BIP32Interface

- - Defined in packages/keychain/src/nodes/identity-address-owner-node.ts:64

  #### Parameters

  - ##### appDomain: string

  #### Returns BIP32Interface

### getAppPrivateKey

- getAppPrivateKey(appDomain: string): string

- - Defined in packages/keychain/src/nodes/identity-address-owner-node.ts:73

  #### Parameters

  - ##### appDomain: string

  #### Returns string

### getAppsNode

- getAppsNode(): BIP32Interface

- - Defined in packages/keychain/src/nodes/identity-address-owner-node.ts:44

  #### Returns BIP32Interface

### getEncryptionNode

- getEncryptionNode(): BIP32Interface

- - Defined in packages/keychain/src/nodes/identity-address-owner-node.ts:52

  #### Returns BIP32Interface

### getIdentityKey

- getIdentityKey(): string

- - Defined in packages/keychain/src/nodes/identity-address-owner-node.ts:33

  #### Returns string

### getIdentityKeyID

- getIdentityKeyID(): string

- - Defined in packages/keychain/src/nodes/identity-address-owner-node.ts:40

  #### Returns string

### getNode

- getNode(): BIP32Interface

- - Defined in packages/keychain/src/nodes/identity-address-owner-node.ts:25

  #### Returns BIP32Interface

### getSTXNode

- getSTXNode(): BIP32Interface

- - Defined in packages/keychain/src/nodes/identity-address-owner-node.ts:60

  #### Returns BIP32Interface

### getSalt

- getSalt(): string

- - Defined in packages/keychain/src/nodes/identity-address-owner-node.ts:29

  #### Returns string

### getSigningNode

- getSigningNode(): BIP32Interface

- - Defined in packages/keychain/src/nodes/identity-address-owner-node.ts:56

  #### Returns BIP32Interface

Generated using TypeDoc